<?

/*

This file is part of NepenthesFE,
Copyright (C) 2008  Emre Bastuz <info@emre.de> and Harsh R Patel <har.duro@gmail.com>

NepenthesFE is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

NepenthesFE is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with NepenthesFE.  If not, see <http://www.gnu.org/licenses/>.

*/

/*
 * Module "peinfo":
 * 
 * Executes the a script to extract PE specific information
 */

#require_once 'Log.php';
require_once 'HTML/Template/IT.php';

class SECTION extends CLI {
	
	/* Module configuration starts here */
	# Set path to 'packerid.py' script  and set permission to the file
	var $path = '/var/www/packerid.py';
	
	# Set CLI options for 'packerid.py'	
	var $options_run = '-s';
	/* Module configuration ends here */
	
	var $classname = 'SECTION';

	var $pattern_result = '^(.*)$';
	
	var $result_xml = '<?xml version="1.0" encoding="UTF-8"?><section><result><![CDATA[\\1]]></result></section>';

	var $info_type = 'section';
	
	var $info_name = 'section';
		
}
?>
