<?

/*

This file is part of NepenthesFE,
Copyright (C) 2008  Emre Bastuz <info@emre.de> and Harsh R Patel <har.duro@gmail.com>

NepenthesFE is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

NepenthesFE is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with NepenthesFE.  If not, see <http://www.gnu.org/licenses/>.

*/

$queries['select_count_instances'] = "select count(*) from instance";

$queries['select_instances'] = "select * from instance i, instance_info ii,
		sample s
		where i.instance_idx = ii.instance_idx 
		and
		i.sample_sha512 = s.sample_sha512
		and
		ii.instance_info_value = 'geoip'
		order by i.%s %s";
$queries['select_instance_details'] = "select * from instance i, sample s, sensor se 
	where
	i.sensor_idx = se.sensor_idx
	and
	i.sample_sha512 = s.sample_sha512
	and
	instance_idx = '%s'";
$queries['select_instance_info'] = "select * from instance_info where instance_idx = '%s'
	and instance_info_value = '%s'";

$queries['select_count_samples'] = "select count(*) from sample";
$queries['select_samples'] = "select sample.sample_sha512,sample_md5,sample_hitcount,sample_last_seen,CONVERT(ExtractValue(sample_info.sample_info_details, '//value[1]') USING UTF8) as detection_count from sample,sample_info where sample.sample_sha512=sample_info.sample_sha512 and sample_info_type='virustotal' order by %s %s";
$queries['select_sample_details'] = "select * from sample where sample_sha512 = '%s'";
$queries['select_sample_info'] = "select * from sample_info where sample_sha512 = '%s'
	and sample_info_value = '%s'";

$queries['select_sample_by_md5'] = "select * from sample where sample_md5 = '%s'";

$queries['sample_hitcount_increment'] = "update sample set sample_last_seen = '%s', sample_hitcount ='%s' where sample_sha512 = '%s'";

$queries['select_count_sensors'] = "select count(*) from sensor";

$queries['select_sensors'] = "select * from sensor";

$queries['select_count_users'] = "select count(*) from users";

$queries['select_users'] = "select * from user";

$queries['select_user'] = "select * from user where user_idx ='%s'";

$queries['update_user_last_login'] = "update user set user_last_login = '%s' where user_name = '%s'";

$queries['update_user_nopw'] = "update user set user_name='%s', user_comment='%s' where user_idx = '%s'";

$queries['update_user_pw'] = "update user set user_name='%s', user_comment='%s', user_password = md5('%s') where user_idx = '%s'";

$queries['insert_user'] = "insert into user (user_name, user_comment, user_password, user_idx) 
	values('%s', '%s', '%s', '%s')";

$queries['delete_user'] = "delete from user where user_idx = '%s'";

$queries['select_sensor'] = "select * from sensor where sensor_idx ='%s'";

$queries['select_sensors_with_exception'] = "select * from sensor where sensor_idx != '%s'";

$queries['update_instances_sensor_idx'] = "update instance set sensor_idx = '%s' where sensor_idx = '%s'";

$queries['select_instances_by_sensor_idx'] = "select * from instance where sensor_idx = '%s'";

$queries['delete_sample'] = "delete from sample where sample_sha512 = '%s'";

$queries['delete_sample_info'] = "delete from sample_info where sample_sha512 = '%s'";

$queries['update_sensor_nopw'] = "update sensor set sensor_name='%s', sensor_user='%s',
	 sensor_ip = '%s', sensor_comment = '%s' where sensor_idx = '%s'";

$queries['update_sensor_pw'] = "update sensor set sensor_name='%s', sensor_user='%s',
	 sensor_ip = '%s', sensor_comment = '%s', sensor_password = md5('%s') where sensor_idx = '%s'";

$queries['insert_sensor'] = "insert into sensor (sensor_name, sensor_user, sensor_ip, sensor_comment, sensor_password, sensor_idx)
	values ('%s', '%s', '%s', '%s', '%s', '%s')";

$queries['delete_sensor'] = "delete from sensor where sensor_idx = '%s'";

$queries['update_sensor_last_submission'] = "update sensor set sensor_last_submission = '%s' where sensor_idx = '%s'";

$queries['select_exists_sample_info'] = "select s.sample_sha512, si.sample_sha512 as sha512 from sample s
		left join sample_info si on (s.sample_sha512 = si.sample_sha512)
		where
		si.sample_info_type = '%s' 
		and
		si.sample_info_value = '%s' 
		and 
		s.sample_sha512 = '%s'";

$queries['auth_sensor'] = "select * from sensor where sensor_user = '%s' and sensor_password = md5('%s') and sensor_ip = '%s'";
$queries['insert_instance'] = "insert into instance (instance_idx, instance_email, instance_url,
        instance_trigger, sample_sha512, instance_filetype, instance_source_host, instance_target_host,
        instance_filename, instance_date, sensor_idx) values ('%s', '%s', '%s','%s','%s','%s','%s','%s','%s','%s','%s')";

$queries['delete_instance_by_instance_idx'] = "delete from instance where instance_idx = '%s'";

$queries['delete_instance_info_by_instance_idx'] = "delete from instance_info where instance_idx = '%s'";

$queries['insert_sample'] = "insert into sample (sample_md5, sample_sha512, sample_last_seen, sample_hitcount) values ('%s','%s', '%s', 1)";
$queries['insert_sample_info'] = "insert into sample_info (sample_info_idx, sample_info_type, sample_info_value,
        sample_sha512, sample_info_details) values (%s, '%s', '%s', '%s', '%s')";
$queries['insert_instance_info'] = "insert into instance_info (instance_info_idx, instance_info_type, instance_info_value,
        instance_idx, instance_info_details) values (%s, '%s', '%s', %s, '%s' )";
	
$queries['select_stat_by_key_value'] = "select * from stat where stat_key = '%s' and stat_value = '%s'";

$queries['insert_stat'] = "insert into stat (stat_idx, stat_key, stat_value, stat_counter, stat_date) values
	('%s', '%s', '%s', '%s', '%s')";

$queries['increment_stat'] = "update stat set stat_counter = '%s', stat_date = '%s' where stat_key = '%s' and stat_value = '%s'";

$queries['select_stat_by_key'] = "select * from stat where stat_key = '%s'";

$queries['csv_make1']="SELECT CONVERT(ExtractValue(instance_info_details, '//country_name[1]') USING UTF8) as Country_name,inet_ntoa(instance.instance_source_host),instance.instance_filename FROM instance_info, instance WHERE instance_info_value='geoip' and ExtractValue(instance_info_details, '//country_name[1]') != '' and instance.instance_idx = instance_info.instance_idx and ExtractValue(instance_info_details, '//country_name[1]') = '%s' INTO OUTFILE '%s' FIELDS TERMINATED BY ',' ENCLOSED BY '\"' LINES TERMINATED BY '\n'";

$queries['csv_make2']="SELECT CONVERT(ExtractValue(instance_info_details, '//as_number[1]') USING UTF8) as Country_name, inet_ntoa(instance.instance_source_host), instance.instance_filename FROM instance_info, instance WHERE instance_info_value='ASN' and ExtractValue(instance_info_details, '//as_number[1]') != '' and instance.instance_idx = instance_info.instance_idx and ExtractValue(instance_info_details, '//as_number[1]') = '%s' INTO OUTFILE '%s' FIELDS TERMINATED BY ',' ENCLOSED BY '\"' LINES TERMINATED BY '\n'";

$queries['select_count_sample_seq']="SELECT sequence  FROM sample_info_seq";

$queries['gmap_query']="select inet_ntoa(instance_source_host) as IP, concat(CONVERT(ExtractValue(instance_info_details, '//country_name[1]') USING UTF8),'-',CONVERT(ExtractValue(instance_info_details, '//city[1]') USING UTF8)) as country_city, CONVERT(ExtractValue(instance_info_details, '//latitude[1]') USING UTF8) as latitude, CONVERT(ExtractValue(instance_info_details, '//longitude[1]') USING UTF8) as longitude, sensor.sensor_name,Count(instance_source_host) as Hitcount FROM instance,instance_info,sensor where instance.sensor_idx = sensor.sensor_idx and  instance.instance_idx = instance_info.instance_idx and instance_info_value = 'geoip' and ExtractValue(instance_info_details, '//country_name[1]') != '' Group by instance.instance_source_host";

$queries['vt']="SELECT distinct sample.sample_sha512 FROM sample_info,sample WHERE sample.sample_sha512 = sample_info.sample_sha512 and sample.sample_sha512 not in (SELECT sample_sha512 FROM sample_info where sample_info_type='virustotal')"

?>
